#pragma once

#include "Proxies.hpp"
#include "Process.hpp"

namespace Proxies {

	class CleanHierarchyProcess:
		public Process
	{
	public:
		CleanHierarchyProcess()
			{}
		CleanHierarchyProcess(
			Stuff::NotationFile *data_file,
			bool bSuppress = true,
			void* fcn = NULL
		):
			Process(data_file,bSuppress,fcn)
				{}

		virtual void
			CleanHierarchyCallback(GenericProxy* proxy)
				{}
	};

}
